corda / net.corda.core.crypto / NullSignature

# NullSignature

`object NullSignature : WithKey`

A signature with a key and value of zero. Useful when you want a signature object that you know won't ever be used.

### Inherited Properties

by | `val by: PublicKey`

### Inherited Functions

verifyWithECDSA | `fun verifyWithECDSA(content: ByteArray): Unit` `fun verifyWithECDSA(content: OpaqueBytes): Unit`

### Extension Functions

deserialize | `fun <T : Any> OpaqueBytes.deserialize(kryo: Kryo = threadLocalP2PKryo()): T`
sha256 | `fun OpaqueBytes.sha256(): SHA256`